package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
public class MemberTrendExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "会员分析";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"会员分析", "日期"})
    private String date;

    @ExcelProperty({"会员分析", "普通会员增加人数"})
    private Integer normal;

    @ExcelProperty({"会员分析", "付费会员增加人数"})
    private Integer pay;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getNormal() {
        return normal;
    }

    public void setNormal(Integer normal) {
        this.normal = normal;
    }

    public Integer getPay() {
        return pay;
    }

    public void setPay(Integer pay) {
        this.pay = pay;
    }

    @Override
    public String toString() {
        return "MemberTrendExcelVO{" +
                "date='" + date + '\'' +
                ", normal=" + normal +
                ", pay=" + pay +
                '}';
    }
}
